Subject: bug#44320: [PATH] [27.1] Make sure send-string-to-terminal send all contents

From: LinSun <[email-masked]>
Date: Mon, 2 Nov 2020 10:58:12 +0800

Hi Eli, Lars,

> This is very old code, so it is surprising this only comes up now.

>I'd rather we understood the issue completely before we decide how to

>fix it.

Sorry for delay responding, I’m offline last weekend.

And yes, it’s rare, but in my testing case it’s happened quite often.

I had attached all the testing files, the testing.el will read the six image and

send to terminal.

(send-string-to-terminal

(with-temp-buffer

(insert-file-contents "testing.six")

(buffer-string)))

The strace log file “testing-strace.log” is attached for not fully write to

console in one call, in the log file, function `write` not write all string into

console. Please refer the attachment .

After apply the patch in my first mail, it will resolve the bug.

Best Regards

Lin Sun